#include <iostream>
#include <bits/stdc++.h>
using namespace std;

bool provera(long long int A[], long long int l, long long int r)
{
    int i;
    for (i = l - 1; i < r - 1; i++)
    {
        if (A[i] > A[i + 1]) return false;
    }
    return true;
}
bool solve (long long int A[], long long int l, long long int r)
{
    int i, br = 0;
    for (i = l - 1; i < r - 1; i++)
    {
        if (A[i] > A[i+1]) br++;
        if (br == 2) return false;
    }
    return true;
}
int main()
{
    long long int n;
    scanf("%lld",&n);
    long long int A[n];
    long long int i,l,r;
    for (i = 0; i < n; i++)
    {
        scanf("%lld",&A[i]);
    }
    long long int Q;
    scanf("%lld",&Q);
    while (Q--)
    {
        scanf("%lld%lld",&l,&r);
        if (provera(A, l, r))
        {
            printf("DA\n");
        }
        else
        {
            if (solve(A, l, r))
            {
                printf("DA\n");
            }
            else printf("NE\n");
        }

    }
    return 0;
}